Update Channel Listings
Updates one or more *Channel Listings* for a specific channel. We recommend using this endpoint for non-storefront channels like marketplaces, marketing channels, and point of sale (POS) channels.
> #### Note
> * Partial updates are supported. In most cases, if a field that *cannot* be updated is passed in, the API **will not** respond with an error. It returns a 200 response with the object, in which you will see the field(s) were not updated.
> * If a new variant is provided, the API will append the variant to the list. If a variant already exists, the API will update the existing variant. Other variants that are not provided in the payload remains unchanged.
> * If `listing_id` does not exist, the API will return a 200 response with empty data.
> * `listing_id` is required and cannot be less than or equal to zero.
> * `product_id` cannot be updated after a channel listing is created.
> * `product_id` of a variant must match the `product_id` of the channel listing.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Channel Listings | modify | `store_channel_listings` |
| Channel Listings | read-only | `store_channel_listings_read_only` |
| Channel Settings | modify | `store_channel_settings` |
| Channel Settings | read-only | `store_channel_settings_read_only` |
| Sites & Routes | modify | `store_sites` |
| Sites & Routes | read-only | `store_sites_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
channel_id
The ID of a channel.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.
Request
This endpoint expects a list of objects.
Response
data
meta
Data about the response, including pagination.
Errors
422
Unprocessable Entity Error